BEEM - Android XMPP - Bug #378

SASL authentication DIGEST-MD5 failed: not-authorized:
12/12/2011 11:05 AM - Anonymous

Status: Closed Start date: 12/12/2011
Priority: Normal Due date:

Assignee: Frédéric Barthéléry % Done: 0%
Category: XMPP Estimated time: 0.00 hour
Target version:

Affected version: 0.1.6 Locale:

Description

Using BEEM - Android XMPP, when try to connect to chat.facebook.com at port 5222 with user name xxxx@chat.facebook.com
gives exception.

12-12 15:02:09.086: ERROR/XMPPConnectionAdapter(4925): Error while connecting

12-12 15:02:09.086: ERROR/XMPPConnectionAdapter(4925): SASL authentication DIGEST-MD5 failed: not-authorized:
12-12 15:02:09.086: ERROR/XMPPConnectionAdapter(4925):  at
org.jivesoftware.smack.SASLAuthentication.authenticate(SASLAuthentication.java:337)

12-12 15:02:09.086: ERROR/XMPPConnectionAdapter(4925):  at
org.jivesoftware.smack.XMPPConnection.login(XMPPConnection.java:230)

12-12 15:02:09.086: ERROR/XMPPConnectionAdapter(4925):  at
com.beem.project.boeem.service. XmppConnectionAdapter.login(XmppConnectionAdapter.java:242)
12-12 15:02:09.086: ERROR/XMPPConnectionAdapter(4925):  at
com.beem.project.beem.service.LoginAsyncTask.doInBackground(LoginAsyncTask.java:100)
12-12 15:02:09.086: ERROR/XMPPConnectionAdapter(4925):  at
com.beem.project.beem.service.LoginAsyncTask.doInBackground(LoginAsyncTask.java:1)

Related issues:
Has duplicate Bug #379: SASL authentication DIGEST-MD5 failed: not-authorized: Closed 12/12/2011

History

#1 - 12/12/2011 11:21 AM - Frédéric Barthéléry

| don't remember if Facebook use the entire jid as username. Can you try again using the 'use the entire jid' option in the advanced settings ? If it
doesn't work activate the smack debugger and send us the log.

#2 - 12/12/2011 12:21 PM - Naveed Iqbal

| have tried to enable the JID from settings but the exception remains. | have enabled the XMPP Debug to YES, but cannot find where the log file is
generated. | am running BEEM Project in Android emulator. Can you guide me where | can find the log file when in emulator.

Regards,
Naveed

#3 - 12/12/2011 05:18 PM - Frédéric Barthéléry

The log is available under logcat. The tag SMACK is used and show every xmpp packet sent and received.

#4 - 12/16/2011 11:04 AM - Naveed Igbal
- File beep.log added

| have activated the Smack debugger option and filtered the log of emulator by word SMACK. The log is attached.

#5 - 12/27/2011 05:34 PM - Frédéric Barthéléry

- Status changed from New to Feedback

| just completed the FAQ page to add informations on how to login with your facebook account. Can you please give it a try and if it doesn't work send
the SMACK log again ?

In the beep.log file, | can see that you use the full JID to authenticate which is bad for facebook.
Note that you must have a facebook username to login with Beem
#6 - 12/28/2011 10:46 AM - Naveed Igbal

| have used Facebook username to login with Beem and it now Login successfully.
Thank you for helping me out in this problem.

Regards,

Naveed

#7 - 12/28/2011 11:17 AM - Frédéric Barthéléry
- Status changed from Feedback to Closed

Files

beep.log 3.17 KB 12/16/2011 Naveed Igbal
